Bug 1461713 - cannot map rbd created by Tendrl
cannot map rbd created by Tendrl
Status: NEW
Product: Red Hat Storage Console
Classification: Red Hat
Component: Ceph Integration (Show other bugs)
3
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 4
Assigned To: Nishanth Thomas
sds-qe-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-15 05:15 EDT by Martin Kudlej
Modified: 2018-04-27 17:30 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Kudlej 2017-06-15 05:15:53 EDT
Description of problem:
Tendrl creates RBD which cannot be mapped. It is created with unsupported feature:

$ rbd --cluster test_ceph map rbd2 
rbd: sysfs write failed
RBD image feature set mismatch. You can disable features unsupported by the kernel with "rbd feature disable".
In some cases useful info is found in syslog - try "dmesg | tail" or so.
rbd: map failed: (6) No such device or address

$ dmesg | tail 
rbd: image rbd2: image uses unsupported features: 0x38

Version-Release number of selected component (if applicable):
ceph-ansible-2.2.11-1.el7scon.noarch
ceph-base-11.2.0-0.el7.x86_64
ceph-common-11.2.0-0.el7.x86_64
ceph-installer-1.3.0-1.el7scon.noarch
ceph-mon-11.2.0-0.el7.x86_64
ceph-osd-11.2.0-0.el7.x86_64
ceph-selinux-11.2.0-0.el7.x86_64
etcd-3.1.7-1.el7.x86_64
libcephfs2-11.2.0-0.el7.x86_64
python-cephfs-11.2.0-0.el7.x86_64
python-etcd-0.4.5-1.noarch
rubygem-etcd-0.3.0-1.el7.noarch
tendrl-alerting-3.0-alpha.3.el7scon.noarch
tendrl-api-3.0-alpha.4.el7scon.noarch
tendrl-api-doc-3.0-alpha.4.el7scon.noarch
tendrl-api-httpd-3.0-alpha.4.el7scon.noarch
tendrl-ceph-integration-3.0-alpha.5.el7scon.noarch
tendrl-commons-3.0-alpha.9.el7scon.noarch
tendrl-dashboard-3.0-alpha.4.el7scon.noarch
tendrl-node-agent-3.0-alpha.9.el7scon.noarch
tendrl-node-monitoring-3.0-alpha.5.el7scon.noarch
tendrl-performance-monitoring-3.0-alpha.7.el7scon.noarch


How reproducible:
100%

Steps to Reproduce:
1. create RBD by Tendrl
2. try to map it

Actual results:
image uses unsupported features: 0x38

Expected results:
It is able to map rbd created by Tendrl.
Comment 3 Shubhendu Tripathi 2017-06-15 06:07:30 EDT
Martin,

I use below set of commands to map the RBD. By default rbd created from tendrl is not disabled any features as the command `rbd create {image-name} --size {megabytes} --pool {pool-name} --cluster {cluster-name}` is used in tendrl

=====================
> rbd feature disable {rbd-name} fast-diff --cluster {cluster-name}
> rbd feature disable {rbd-name} object-map --cluster {cluster-name}
> rbd feature disable {rbd-name} deep-flatten --cluster {cluster-name}
> rbd map {rbd-name} --cluster {cluster-name}
/dev/rbd0
> mkfs -t xfs /dev/rbd0
> mkdir ~/rbd_mnt
> mount /dev/rbd0 ~/rbd_mnt
Comment 4 Martin Kudlej 2017-06-15 08:41:04 EDT
I haven't done steps:
> rbd feature disable {rbd-name} fast-diff --cluster {cluster-name}
> rbd feature disable {rbd-name} object-map --cluster {cluster-name}
> rbd feature disable {rbd-name} deep-flatten --cluster {cluster-name}

because I think that RBD created by Tendrl should be prepared for mapping right after it is created without any special tuning. I tried it on top of RHEL 7.4 and 
ceph-base-11.2.0-0.el7.x86_64
ceph-common-11.2.0-0.el7.x86_64
ceph-mon-11.2.0-0.el7.x86_64
ceph-selinux-11.2.0-0.el7.x86_64
libcephfs2-11.2.0-0.el7.x86_64
python-cephfs-11.2.0-0.el7.x86_64
Comment 5 Nishanth Thomas 2017-06-20 00:21:05 EDT
Is there a specific requirement talks about this?
Even in RHSC2.0 there was discussion around this(cblum initiated) and finally we decided to go ahead with the standard option
@JeffA can you comment here?
Comment 6 Jeff Applewhite 2017-06-20 09:16:59 EDT
@kbader can you comment on this?

Note You need to log in before you can comment on or make changes to this bug.